/* commongui.c
 * This file is part of Amsam photo cropping program
 * Copyright 2021, 2023, 2024, 2025, 2026 Nandakumar Edamana
 * Distributed under GNU General Public License, version 3
 */ 

#include <assert.h>
#include <stdarg.h>
#include <stdbool.h>

#include "commongui.h"


_ngg_tuple_ngg_coords_from_event ngg_coords_from_event(GdkEvent *event)
{
	double x = 0.0;
	double y = x;
	gdk_event_get_coords(event, &x, &y);
	return (_ngg_tuple_ngg_coords_from_event) { x, y };
}

_ngg_tuple_ngg_coords_from_event _ngg_tuple_ngg_coords_from_event_default()
{
	_ngg_tuple_ngg_coords_from_event s;
	s.m0 = 0.0;
	s.m1 = 0.0;
	return s;
}
